com.pixelmed.convert

## Class NRRDToDicom

- java.lang.Object
- - com.pixelmed.convert.NRRDToDicom

-     public class NRRDToDicom
      extends java.lang.Object

  A class for converting NRRD image input format files into images of a specified or appropriate SOP Class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NRRDToDicom(java.lang.String inputFileName, java.lang.String outputFileName, java.lang.String patientName, java.lang.String patientID, java.lang.String studyID, java.lang.String seriesNumber, java.lang.String instanceNumber)` Read an NRRD image input format files and create an image of a specified or appropriate SOP Class.
    `NRRDToDicom(java.lang.String inputFileName, java.lang.String outputFileName, java.lang.String patientName, java.lang.String patientID, java.lang.String studyID, java.lang.String seriesNumber, java.lang.String instanceNumber, java.lang.String modality, java.lang.String sopClass)` Read an NRRD image input format files and create an image of a specified or appropriate SOP Class.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AttributeList` | `generateDICOMPixelDataModuleAttributesFromNRRDFile(java.io.File inputFile, NRRDHeader nrrd, AttributeList list)` Using an NRRD image input file and header, create DICOM Pixel Data Module attributes.
    `static AttributeList` | `generateDimensions(AttributeList list)` Create a Dimensions Module.
    `static AttributeList` | `generateGeometryFunctionalGroupsFromNRRDHeader(NRRDHeader nrrd, AttributeList list)` Read a per-frame and shared functional group sequences for the geometry defined in a NRRD file header.
    `static void` | `main(java.lang.String[] arg)` Read an NRRD image input format files and create an image of a specified or appropriate SOP Class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NRRDToDicom

          public NRRDToDicom(java.lang.String inputFileName,
                             java.lang.String outputFileName,
                             java.lang.String patientName,
                             java.lang.String patientID,
                             java.lang.String studyID,
                             java.lang.String seriesNumber,
                             java.lang.String instanceNumber)
                      throws java.io.IOException,
                             DicomException,
                             NRRDException

      Read an NRRD image input format files and create an image of a specified or appropriate SOP Class.

      Parameters:
        `inputFileName` -
        `outputFileName` -
        `patientName` -
        `patientID` -
        `studyID` -
        `seriesNumber` -
        `instanceNumber` -
      Throws:
        `java.io.IOException`
        `DicomException`
        `NRRDException`

    - #### NRRDToDicom

          public NRRDToDicom(java.lang.String inputFileName,
                             java.lang.String outputFileName,
                             java.lang.String patientName,
                             java.lang.String patientID,
                             java.lang.String studyID,
                             java.lang.String seriesNumber,
                             java.lang.String instanceNumber,
                             java.lang.String modality,
                             java.lang.String sopClass)
                      throws java.io.IOException,
                             DicomException,
                             NRRDException,
                             java.lang.NumberFormatException

      Read an NRRD image input format files and create an image of a specified or appropriate SOP Class.

      Parameters:
        `inputFileName` -
        `outputFileName` -
        `patientName` -
        `patientID` -
        `studyID` -
        `seriesNumber` -
        `instanceNumber` -
        `modality` - may be null
        `sopClass` - may be null
      Throws:
        `java.io.IOException`
        `DicomException`
        `NRRDException`
        `java.lang.NumberFormatException`

  - ### Method Detail

    - #### generateGeometryFunctionalGroupsFromNRRDHeader

          public static AttributeList generateGeometryFunctionalGroupsFromNRRDHeader(NRRDHeader nrrd,
                                                                                     AttributeList list)
                                                                              throws DicomException,
                                                                                     NRRDException,
                                                                                     java.lang.NumberFormatException

      Read a per-frame and shared functional group sequences for the geometry defined in a NRRD file header.

      Parameters:
        `nrrd` - an NRRD header
        `list` - an existing (possibly empty) attribute list, if null, a new one will be created; may already shared and per-frame functional group sequences or they will be added return attribute list with per-frame and shared functional group sequences for geometry added
      Throws:
        `DicomException`
        `NRRDException`
        `java.lang.NumberFormatException`

    - #### generateDimensions

          public static AttributeList generateDimensions(AttributeList list)
                                                  throws DicomException

      Create a Dimensions Module.

      Parameters:
        `list` - return attribute list with Dimensions Module added
      Throws:
        `DicomException`

    - #### generateDICOMPixelDataModuleAttributesFromNRRDFile

          public static AttributeList generateDICOMPixelDataModuleAttributesFromNRRDFile(java.io.File inputFile,
                                                                                         NRRDHeader nrrd,
                                                                                         AttributeList list)
                                                                                  throws java.io.IOException,
                                                                                         DicomException,
                                                                                         NRRDException,
                                                                                         java.lang.NumberFormatException

      Using an NRRD image input file and header, create DICOM Pixel Data Module attributes.

      Parameters:
        `inputFile` - an NRRD format image file
        `nrrd` - an NRRD header already read from the inputFile
        `list` - an existing (possibly empty) attribute list, if null, a new one will be created; may already include "better" image pixel module attributes to use return attribute list with Image Pixel Module (including Pixel Data) and other attributes added
      Throws:
        `java.io.IOException`
        `DicomException`
        `NRRDException`
        `java.lang.NumberFormatException`

    - #### main

          public static void main(java.lang.String[] arg)

      Read an NRRD image input format files and create an image of a specified or appropriate SOP Class.

      Parameters:
        `arg` - seven, eight or nine parameters, the inputFile, outputFile, patientName, patientID, studyID, seriesNumber, instanceNumber, and optionally the modality, and SOP Class